Page MenuHomePhabricator

Result was not NULL memory leaked
Closed, ResolvedPublic

Description

This came up yesterday when I tried to close Huggleduring the Labs downtime(?)

System log

tis mar 31 04:24:49 2015: Successfully delivered message on enwiki to: 174.67.217.46
tis mar 31 04:24:21 2015: Successfully edit John Layfield on enwiki
tis mar 31 04:24:17 2015: Restoring the selected revision of John Layfield
tis mar 31 04:22:38 2015: Successfully delivered message on enwiki to: Samtheman930
tis mar 31 04:22:30 2015: Successfully delivered message on enwiki to: DillPickle141
tis mar 31 04:22:04 2015: Successfully delivered message on enwiki to: Ecrout
tis mar 31 04:22:02 2015: Successfully delivered message on enwiki to: 71.37.124.26
tis mar 31 04:21:59 2015: Successfully delivered message on enwiki to: 119.225.51.254
tis mar 31 04:21:57 2015: Successfully delivered message on enwiki to: Chunteriv
tis mar 31 04:21:51 2015: Successfully delivered message on enwiki to: 50.13.171.125
tis mar 31 04:21:49 2015: Successfully delivered message on enwiki to: 97.94.103.102
tis mar 31 04:21:38 2015: Successfully delivered message on enwiki to: 99.20.1.162
tis mar 31 04:21:32 2015: Successfully delivered message on enwiki to: Samtheman930
tis mar 31 04:21:12 2015: Successfully delivered message on enwiki to: Chunteriv
tis mar 31 04:21:06 2015: Successfully delivered message on enwiki to: Ecrout
tis mar 31 04:20:57 2015: Successfully delivered message on enwiki to: 50.13.171.125
tis mar 31 04:20:25 2015: Successfully delivered message on enwiki to: 68.5.22.21
tis mar 31 04:18:57 2015: Successfully delivered message on enwiki to: 73.15.182.69
tis mar 31 04:18:30 2015: Successfully delivered message on enwiki to: 73.15.182.69
tis mar 31 04:18:27 2015: Successfully delivered message on enwiki to: 70.68.73.16
tis mar 31 04:16:38 2015: Successfully delivered message on enwiki to: EndEndWarriorWarrior
tis mar 31 04:16:14 2015: Successfully delivered message on enwiki to: 71.95.74.37
tis mar 31 04:16:00 2015: Successfully delivered message on enwiki to: Flyingcoconut4000
tis mar 31 04:15:56 2015: Successfully delivered message on enwiki to: EndEndWarriorWarrior
tis mar 31 04:15:52 2015: Successfully delivered message on enwiki to: 24.183.194.121
tis mar 31 04:15:35 2015: Successfully edit Pembroke Meadows Crew on enwiki
tis mar 31 04:15:20 2015: Successfully delivered message on enwiki to: 2gud4you
tis mar 31 04:12:52 2015: Successfully delivered message on enwiki to: Vinnieman20
tis mar 31 04:12:51 2015: Successfully edit Vinnieman20 on enwiki
tis mar 31 04:12:37 2015: Successfully delivered message on enwiki to: 70.189.111.217
tis mar 31 04:11:59 2015: Successfully delivered message on enwiki to: 131.151.182.84
tis mar 31 04:11:47 2015: Successfully delivered message on enwiki to: 24.183.194.121
tis mar 31 04:10:46 2015: Successfully delivered message on enwiki to: Flyingcoconut4000
tis mar 31 04:10:44 2015: Successfully delivered message on enwiki to: 70.189.111.217
tis mar 31 04:09:55 2015: Successfully delivered message on enwiki to: 189.176.208.147
tis mar 31 04:09:53 2015: Successfully delivered message on enwiki to: 2602:306:CF8A:8780:1575:EA06:EB14:56A0
tis mar 31 04:09:23 2015: Successfully delivered message on enwiki to: 97.94.103.102
tis mar 31 04:07:10 2015: Successfully delivered message on enwiki to: 100.37.179.121
tis mar 31 04:06:50 2015: Successfully delivered message on enwiki to: 101.171.170.144
tis mar 31 04:05:38 2015: Successfully delivered message on enwiki to: 69.114.209.134
tis mar 31 04:05:17 2015: Successfully edit Wikipedia:Administrator intervention against vandalism on enwiki
tis mar 31 04:05:04 2015: Successfully delivered message on enwiki to: 74.129.199.108
tis mar 31 04:03:49 2015: Successfully delivered message on enwiki to: 104.33.59.125
tis mar 31 04:03:28 2015: Successfully delivered message on enwiki to: 50.101.169.23
tis mar 31 04:03:12 2015: Successfully delivered message on enwiki to: 203.122.220.137
tis mar 31 04:02:55 2015: Successfully delivered message on enwiki to: 24.28.37.211
tis mar 31 04:02:54 2015: Successfully delivered message on enwiki to: 2602:304:AA22:E9D9:7893:99D7:12AD:2B63
tis mar 31 04:02:42 2015: Successfully delivered message on enwiki to: Xx3m03r3ct1l3d1sfunct10nl0v3sdahv13xX
tis mar 31 04:01:54 2015: Successfully delivered message on enwiki to: 122.56.185.245
tis mar 31 04:01:34 2015: Successfully delivered message on enwiki to: 2602:304:AA22:E9D9:7893:99D7:12AD:2B63
tis mar 31 04:01:14 2015: Successfully delivered message on enwiki to: 2602:304:AA22:E9D9:7893:99D7:12AD:2B63
tis mar 31 04:01:00 2015: Successfully delivered message on enwiki to: Xx3m03r3ct1l3d1sfunct10nl0v3sdahv13xX
tis mar 31 04:00:32 2015: Successfully delivered message on enwiki to: Iamacowboyyeehaw
tis mar 31 03:58:38 2015: Successfully delivered message on enwiki to: 111.243.204.114
tis mar 31 03:58:27 2015: Successfully delivered message on enwiki to: Ed92292
tis mar 31 03:58:13 2015: Successfully delivered message on enwiki to: Unkown1532
tis mar 31 03:53:26 2015: Successfully edit Wikipedia:Requests for page protection on enwiki
tis mar 31 03:52:54 2015: Successfully edit Michael Cole (wrestling) on enwiki
tis mar 31 03:52:51 2015: Restoring the selected revision of Michael Cole (wrestling)
tis mar 31 03:52:33 2015: WARNING: unable to retrieve diff for edit Michael Cole (wrestling) fallback to web rendering
tis mar 31 03:52:24 2015: WARNING: unable to retrieve diff for edit Michael Cole (wrestling) fallback to web rendering
tis mar 31 03:52:15 2015: Successfully delivered message on enwiki to: 198.86.76.147
tis mar 31 03:51:44 2015: Successfully delivered message on enwiki to: 111.243.204.114
tis mar 31 03:51:12 2015: Successfully delivered message on enwiki to: 92.2.158.194
tis mar 31 03:51:03 2015: Successfully delivered message on enwiki to: 173.49.83.201
tis mar 31 03:50:30 2015: Successfully edit Wikipedia:Administrator intervention against vandalism on enwiki
tis mar 31 03:49:38 2015: Successfully delivered message on enwiki to: Kikichugirl
tis mar 31 03:47:04 2015: Successfully delivered message on enwiki to: 2602:252:D2D:4170:6004:4EA5:2465:6B03
tis mar 31 03:46:32 2015: Successfully delivered message on enwiki to: 118.210.69.7
tis mar 31 03:46:20 2015: Successfully delivered message on enwiki to: 129.101.32.33
tis mar 31 03:45:00 2015: Successfully delivered message on enwiki to: Xx3m03r3ct1l3d1sfunct10nl0v3sdahv13xX
tis mar 31 03:44:59 2015: Successfully delivered message on enwiki to: 129.101.32.33
tis mar 31 03:44:55 2015: ERROR: Failed to obtain text of User:Linkschwartz: Page is missing
tis mar 31 03:44:54 2015: ERROR: Failed to retrieve founder for page User:Linkschwartz:
tis mar 31 03:43:50 2015: Successfully delivered message on enwiki to: 129.101.32.33
tis mar 31 03:43:46 2015: Successfully delivered message on enwiki to: 72.239.138.243
tis mar 31 03:43:36 2015: Successfully delivered message on enwiki to: 203.177.92.119
tis mar 31 03:43:27 2015: Conflict resolved: did not perform any action - there are newer edits to Michael Cole (wrestling)
tis mar 31 03:43:14 2015: Conflict resolved: did not perform any action - there are newer edits to Michael Cole (wrestling)
tis mar 31 03:42:59 2015: Successfully delivered message on enwiki to: Trololol7000
tis mar 31 03:42:41 2015: Successfully delivered message on enwiki to: 73.31.186.139
tis mar 31 03:41:57 2015: Successfully delivered message on enwiki to: 76.69.101.151
tis mar 31 03:41:51 2015: Successfully delivered message on enwiki to: Ihatethingslol
tis mar 31 03:41:41 2015: Successfully delivered message on enwiki to: Zekec1
tis mar 31 03:40:35 2015: Successfully delivered message on enwiki to: 2602:306:BD66:4270:A95E:B0F:343B:A8EA
tis mar 31 03:39:55 2015: Successfully delivered message on enwiki to: 2602:252:D2D:4170:D06A:2AD0:CFF6:DB0A
tis mar 31 03:38:43 2015: Doorknob747 with score -2042 on enwiki has been inserted to whitelist
tis mar 31 03:38:18 2015: Successfully delivered message on enwiki to: 2601:6:4180:C3C:FD0C:6CBA:9E44:6F77
tis mar 31 03:38:12 2015: Successfully delivered message on enwiki to: 2602:252:D2D:4170:D06A:2AD0:CFF6:DB0A
tis mar 31 03:38:09 2015: Successfully delivered message on enwiki to: SixtyMinutes2
tis mar 31 03:38:06 2015: Successfully delivered message on enwiki to: 129.101.32.33
tis mar 31 03:37:54 2015: Successfully delivered message on enwiki to: SixtyMinutes2
tis mar 31 03:36:58 2015: enwiki: Connected to IRC recent changes feed
tis mar 31 03:36:58 2015: Connecting to recent changes stream on enwiki using provider: IRC
tis mar 31 03:36:58 2015: Failure of feed provider XMLRCS on enwiki, trying to find some alternative provider
tis mar 31 03:36:55 2015: Connecting to recent changes stream on enwiki using provider: XMLRCS
tis mar 31 03:36:03 2015: Loaded in 7396ms
tis mar 31 03:36:03 2015: Extensions: 2
tis mar 31 03:36:03 2015: Successfully loaded: C:\Program Files (x86)\Huggle\extensions\libhuggle_md.dll
tis mar 31 03:36:03 2015: Successfully loaded: C:\Program Files (x86)\Huggle\extensions\libhuggle_en.dll
tis mar 31 03:35:57 2015: Loading plugins in C:\Program Files (x86)\Huggle\extensions and C:\Users\jsven_000\AppData\Local\Wikimedia\Huggle\extensions\
tis mar 31 03:35:57 2015: Home: C:\Users\jsven_000\AppData\Local\Wikimedia\Huggle\Configuration\
tis mar 31 03:35:56 2015: Loading configuration
tis mar 31 03:35:56 2015: Huggle 3 QT-LX, version 3.1.9 build: 2408 3.1.9

Exception details

Error code: 2
Reason: Result was not NULL memory leaked
Source:void Huggle::Query::ThrowOnValidResult()@C:\Users\petr.bena\Documents\huggle3-qt-lx\huggle\query.cpp:160
Stack trace:
9 unknown symbol 0x0
8 unknown symbol 0x0
7 unknown symbol 0x0
6 unknown symbol 0x0
5 unknown symbol 0x0
4 unknown symbol 0x0
3 unknown symbol 0x0
2 ZN11QMetaObject8activateEP7QObjectiiPPv 0x68a640e0
1 ZN6QTimer7timeoutENS_14QPrivateSignalE 0x68ac1710
0 ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent 0x75ae70

Related Objects

Event Timeline

Josve05a created this task.Mar 31 2015, 7:18 PM
Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added a project: Huggle.
Josve05a added a subscriber: Josve05a.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2015, 7:18 PM
Petrb added a subscriber: Petrb.Apr 1 2015, 9:07 AM

Update to new version pls

Petrb added a comment.Apr 1 2015, 9:09 AM

That stack trace produced by MinGW is so much useful :D

Petrb triaged this task as Medium priority.Apr 2 2015, 11:09 AM

Update to new version pls

I will. As soon as I use it next time.

That stack trace produced by MinGW is so much useful :D

Don't know if serious or ironic...

Petrb added a comment.Apr 17 2015, 1:15 PM

I suppose this didn't happen ever since the update to last version?

I suppose this didn't happen ever since the update to last version?

Not yet at least.

Petrb closed this task as Resolved.May 24 2015, 4:25 PM
Petrb claimed this task.

reopen if it does